<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::SceneManagerEnumerator Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ac73478338f38ccf1e5779ef173759111">addFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a97e10c46bc45a4f86f17ed6496b4aec2">createSceneManager</a>(const String &amp;typeName, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a509c915293734c266aa187c3ba722c81">createSceneManager</a>(SceneTypeMask typeMask, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a949f76dbb289634b7f9b064131f015d5">destroySceneManager</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a548d5ed3effef1094bb9ca240ea4bf8d">Factories</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a8a380b4d3c7d410358c800fed236a5ca">getMetaData</a>(const String &amp;typeName) const </td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a6249e163c0bd840f77e7df3f67904daf">getMetaDataIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ab2a6f231805a893dfff2eabc494b21ce">getSceneManager</a>(const String &amp;instanceName) const </td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5bb43dcf8988708ce05c1e4f303066d1">getSceneManagerIterator</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a137cf67285fc6ea14574db3dcf181d46">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a85109f580da806433a363792a7233fe4">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a767e2f2f14d9bc5aafc99637e7597d97">hasSceneManager</a>(const String &amp;instanceName) const </td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Instances</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a3cc008e5a1a0c9cdb40ea466edde6f34">mCurrentRenderSystem</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a6246f52d458fd225d38ac5341ea0385e">mDefaultFactory</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#aba1ede3f8195a234c286f372ef181ce0">MetaDataIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5fde27af1394a5e2229c624c556629c0">MetaDataList</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ab1a2d0123b64f95a29460d176b36d971">mFactories</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a7742ef989061d92dc8ad9a5c12dedc7e">mInstanceCreateCount</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a94dbb182944a32cf82137b253351d8ee">mInstances</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a966292fbcb304e584f411075f95cf5b2">mMetaDataList</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; SceneManagerEnumerator &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#acb458bf3cd09c21f35d38c5919926acf">removeFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ae9f329de24a59f62fc305723f6fbde46">SceneManagerEnumerator</a>()</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ad27d358bd89b7b44a8b360ce36df3aaa">SceneManagerIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#adec389e756f0800fee80a23c740fea3a">setRenderSystem</a>(RenderSystem *rs)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#af4ced44d3cf71a08ea0e8c4d807b32ce">shutdownAll</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; SceneManagerEnumerator &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ae0b6596c1aa9ca66b44b9db6c5781526">~SceneManagerEnumerator</a>()</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; SceneManagerEnumerator &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
